Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007378 [DCSS] Bug Report minor have not tried 2013-07-21 22:54 2013-08-05 02:08
Reporter jejorda2 View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007378: Coagulating blood should stay dropped
Description If I drop an item, then autoexplore, I don't pick the item up before exploring. This is expected and good.

If I drop a potion of blood, wait for it to turn into a potion of coagulated blood, then autoexplore,
i pick up the coagulated blood before exploring. This is unexpected and undesirable. It's unexpected because it's different from how other items work. It's undesirable because I can't think of a situation when I would want to drop blood, but I would want to pick up coagulated blood.

I guess that when the blood coagulates, the code destroys the potions of blood and creates new potions of coagulated blood, and the new potions aren't flagged as something the player has dropped.

If I have 20 potions of blood, and I drop 15 of them to save weight, then rest, then explore, I don't want to pick up 15 potions of coagulated blood.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0023641)
neil (administrator)
2013-08-04 04:06

jejorda2: I wasn't able to reproduce this with a single potion: it keeps the dropped flag after coagulating, and neither greedy explore nor autopickup will touch it.

However, there definitely is a bug with larger stacks: if only part of a stack coagulates, the resulting "new" stack doesn't copy over the "was dropped" flag that prevents autopickup. That can be fixed, but if you're seeing the problem with single potions it won't solve your issue.

Could you try it out again with a single potion and see if you can reproduce the problem? Should it be in its own 1-item pile, at the bottom of a larger pile, or on top of a larger pile? Should one wait in- or out- of LOS of the potions?
(0023642)
neil (administrator)
2013-08-04 05:49

The problem with splitting stacks is fixed in trunk (0.13-a0-2606-g170388b).
(0023648)
jejorda2 (reporter)
2013-08-04 23:39
edited on: 2013-08-04 23:39

It looks fixed to me- thanks!

In a local build of 0.13-a0-2616-g3970fff, I tried dropping the only potion of blood in my inventory, waiting for it to coagulate, then auto-exploring. I did not pick up the dropped potion, so I got the desired behavior.

Then I gathered four potions of blood, dropped two of them, waited for the oldest potions to coagulate, and auto-explored. I did not pick up the dropped potions, which is good.

Are there other reasons to keep this open?

(0023650)
neil (administrator)
2013-08-05 02:08

Great! Closing.

- Issue History
Date Modified Username Field Change
2013-07-21 22:54 jejorda2 New Issue
2013-08-04 04:06 neil Note Added: 0023641
2013-08-04 05:49 neil Note Added: 0023642
2013-08-04 23:39 jejorda2 Note Added: 0023648
2013-08-04 23:39 jejorda2 Note Edited: 0023648
2013-08-05 02:08 neil Note Added: 0023650
2013-08-05 02:08 neil Status new => resolved
2013-08-05 02:08 neil Fixed in Branch => 0.13 development branch
2013-08-05 02:08 neil Resolution open => done
2013-08-05 02:08 neil Assigned To => neil
2013-08-05 02:08 neil Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker